from rest_framework.fields import CharField, DictField, ListField
from rest_framework.serializers import Serializer


class SeoSnapshotSerializer(Serializer):
    title = CharField()
    description = CharField()
    canonical = CharField()
    robots = CharField()
    hreflang = CharField()
    open_graph = DictField()
    twitter = DictField()
    json_ld = ListField(child=DictField())
